Рекомендация Debian по безопасности

DSA-4661-1 openssl -- обновление безопасности

Дата сообщения:
21.04.2020
Затронутые пакеты:
openssl
Уязвим:
Да
Ссылки на базы данных по безопасности:
В каталоге Mitre CVE: CVE-2020-1967.
Более подробная информация:

Бернд Эдлингер обнаружил, что специально сформированные данные, передаваемые функции SSL_check_chain() в ходе или после выполнения рукопожатия по протоколу TLS 1.3, вызывают разыменование NULL-указателя, что приводит к отказу в обслуживании.

Предыдущий стабильный выпуск (stretch) не подвержен этой проблеме.

В стабильном выпуске (buster), эта проблема была исправлена в версии 1.1.1d-0+deb10u3.

Рекомендуется обновить пакеты openssl.

С подробным статусом поддержки безопасности openssl можно ознакомиться на соответствующей странице отслеживания безопасности по адресу https://security-tracker.debian.org/tracker/openssl